Bug 449408 - Crash when selecting filter>raindrops on an empty layer.
Summary: Crash when selecting filter>raindrops on an empty layer.
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: Filters (show other bugs)
Version: 5.0.2
Platform: Appimage Linux
: NOR crash
Target Milestone: ---
Assignee: amyspark
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-01-31 10:50 UTC by le_dino
Modified: 2022-02-23 14:01 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description le_dino 2022-01-31 10:50:09 UTC
SUMMARY
Krita crashes when the raindrops filter is selected, 100% of the time under any circumstances

STEPS TO REPRODUCE
1. have a canvas open
2. select filter>artistic>raindrops

OBSERVED RESULT
crash

EXPECTED RESULT
not crash

SOFTWARE/OS VERSIONS
Linux/KDE Plasma: Kubuntu 21.10
KDE Plasma Version: 5.22.5
KDE Frameworks Version: 5.86.0
Qt Version: 5.15.2

ADDITIONAL INFORMATION
a video showcasing the crash:
https://youtu.be/CCyfbnwMwTg

the backtrace:
gdb "/media/taku/Warehouse/RAWR/Programs/Krita/krita-5.0.2-x86_64.appimage"
GNU gdb (Ubuntu 11.1-0ubuntu2) 11.1
Copyright (C) 2021 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.
Type "show copying" and "show warranty" for details.
This GDB was configured as "x86_64-linux-gnu".
Type "show configuration" for configuration details.
For bug reporting instructions, please see:
<https://www.gnu.org/software/gdb/bugs/>.
Find the GDB manual and other documentation resources online at:
    <http://www.gnu.org/software/gdb/documentation/>.

For help, type "help".
Type "apropos word" to search for commands related to "word"...
Reading symbols from /media/taku/Warehouse/RAWR/Programs/Krita/krita-5.0.2-x86_64.appimage...
(No debugging symbols found in /media/taku/Warehouse/RAWR/Programs/Krita/krita-5.0.2-x86_64.appimage)
(gdb) set pagination off
(gdb) run
Starting program: /media/taku/Warehouse/RAWR/Programs/Krita/krita-5.0.2-x86_64.appimage 
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[Detaching after fork from child process 375112]
process 375108 is executing new program: /tmp/.mount_krita-p5IhJW/usr/bin/krita
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
NOT COOL: Duplicated action name from xml data:  "pickSubwindow"
NOT COOL: Duplicated action name from xml data:  "openOverview"
NOT COOL: Duplicated action name from xml data:  "organizerToggle"
NOT COOL: Duplicated action name from xml data:  "object_order_raise"
NOT COOL: Duplicated action name from xml data:  "object_align_horizontal_right"
NOT COOL: Duplicated action name from xml data:  "object_ungroup"
NOT COOL: Duplicated action name from xml data:  "object_order_back"
NOT COOL: Duplicated action name from xml data:  "object_order_front"
NOT COOL: Duplicated action name from xml data:  "object_align_vertical_center"
NOT COOL: Duplicated action name from xml data:  "object_group"
NOT COOL: Duplicated action name from xml data:  "object_align_horizontal_left"
NOT COOL: Duplicated action name from xml data:  "object_align_vertical_top"
NOT COOL: Duplicated action name from xml data:  "object_align_horizontal_center"
NOT COOL: Duplicated action name from xml data:  "object_order_lower"
NOT COOL: Duplicated action name from xml data:  "object_align_vertical_bottom"
NOT COOL: Duplicated action name from xml data:  "object_distribute_horizontal_left"
NOT COOL: Duplicated action name from xml data:  "object_distribute_horizontal_center"
NOT COOL: Duplicated action name from xml data:  "object_distribute_horizontal_right"
NOT COOL: Duplicated action name from xml data:  "object_distribute_horizontal_gaps"
NOT COOL: Duplicated action name from xml data:  "object_distribute_vertical_top"
NOT COOL: Duplicated action name from xml data:  "object_distribute_vertical_center"
NOT COOL: Duplicated action name from xml data:  "object_distribute_vertical_bottom"
NOT COOL: Duplicated action name from xml data:  "object_distribute_vertical_gaps"
NOT COOL: Duplicated action name from xml data:  "object_transform_rotate_90_cw"
NOT COOL: Duplicated action name from xml data:  "object_transform_rotate_90_ccw"
NOT COOL: Duplicated action name from xml data:  "object_transform_rotate_180"
NOT COOL: Duplicated action name from xml data:  "object_transform_mirror_horizontally"
NOT COOL: Duplicated action name from xml data:  "object_transform_mirror_vertically"
NOT COOL: Duplicated action name from xml data:  "object_transform_reset"
NOT COOL: Duplicated action name from xml data:  "object_unite"
NOT COOL: Duplicated action name from xml data:  "object_intersect"
NOT COOL: Duplicated action name from xml data:  "object_subtract"
NOT COOL: Duplicated action name from xml data:  "object_split"
NOT COOL: Duplicated action name from xml data:  "calligraphy_increase_width"
NOT COOL: Duplicated action name from xml data:  "calligraphy_increase_angle"
NOT COOL: Duplicated action name from xml data:  "calligraphy_decrease_width"
NOT COOL: Duplicated action name from xml data:  "calligraphy_decrease_angle"
NOT COOL: Duplicated action name from xml data:  "KisAssistantTool"
NOT COOL: Duplicated action name from xml data:  "KisToolCrop"
NOT COOL: Duplicated action name from xml data:  "KisToolPath"
NOT COOL: Duplicated action name from xml data:  "KisToolPencil"
NOT COOL: Duplicated action name from xml data:  "KisToolPolygon"
NOT COOL: Duplicated action name from xml data:  "KisToolPolyline"
NOT COOL: Duplicated action name from xml data:  "KisToolSelectContiguous"
NOT COOL: Duplicated action name from xml data:  "KisToolSelectElliptical"
NOT COOL: Duplicated action name from xml data:  "KisToolSelectMagnetic"
NOT COOL: Duplicated action name from xml data:  "KisToolSelectOutline"
NOT COOL: Duplicated action name from xml data:  "KisToolSelectPath"
NOT COOL: Duplicated action name from xml data:  "KisToolSelectPolygonal"
NOT COOL: Duplicated action name from xml data:  "KisToolSelectRectangular"
NOT COOL: Duplicated action name from xml data:  "KisToolSelectSimilar"
NOT COOL: Duplicated action name from xml data:  "KisToolTransform"
NOT COOL: Duplicated action name from xml data:  "movetool-move-up"
NOT COOL: Duplicated action name from xml data:  "movetool-move-down"
NOT COOL: Duplicated action name from xml data:  "movetool-show-coordinates"
NOT COOL: Duplicated action name from xml data:  "movetool-move-left"
NOT COOL: Duplicated action name from xml data:  "movetool-move-right"
NOT COOL: Duplicated action name from xml data:  "movetool-move-up-more"
NOT COOL: Duplicated action name from xml data:  "movetool-move-down-more"
NOT COOL: Duplicated action name from xml data:  "movetool-move-left-more"
NOT COOL: Duplicated action name from xml data:  "movetool-move-right-more"
NOT COOL: Duplicated action name from xml data:  "convert-to-path"
NOT COOL: Duplicated action name from xml data:  "pathpoint-remove"
NOT COOL: Duplicated action name from xml data:  "path-break-segment"
NOT COOL: Duplicated action name from xml data:  "pathsegment-line"
NOT COOL: Duplicated action name from xml data:  "path-break-point"
NOT COOL: Duplicated action name from xml data:  "pathpoint-line"
NOT COOL: Duplicated action name from xml data:  "pathpoint-symmetric"
NOT COOL: Duplicated action name from xml data:  "pathpoint-curve"
NOT COOL: Duplicated action name from xml data:  "pathsegment-curve"
NOT COOL: Duplicated action name from xml data:  "pathpoint-insert"
NOT COOL: Duplicated action name from xml data:  "pathpoint-corner"
NOT COOL: Duplicated action name from xml data:  "pathpoint-merge"
NOT COOL: Duplicated action name from xml data:  "pathpoint-join"
NOT COOL: Duplicated action name from xml data:  "pathpoint-smooth"
NOT COOL: Duplicated action name from xml data:  "SvgTextTool"
NOT COOL: Duplicated action name from xml data:  "svg_format_textcolor"
NOT COOL: Duplicated action name from xml data:  "svg_background_color"
NOT COOL: Duplicated action name from xml data:  "svg_font_size"
NOT COOL: Duplicated action name from xml data:  "svg_font"
NOT COOL: Duplicated action name from xml data:  "svg_insert_special_character"
NOT COOL: Duplicated action name from xml data:  "svg_align_right"
NOT COOL: Duplicated action name from xml data:  "svg_align_left"
NOT COOL: Duplicated action name from xml data:  "svg_align_justified"
NOT COOL: Duplicated action name from xml data:  "svg_align_center"
NOT COOL: Duplicated action name from xml data:  "svg_decrease_font_size"
NOT COOL: Duplicated action name from xml data:  "svg_increase_font_size"
NOT COOL: Duplicated action name from xml data:  "svg_format_subscript"
NOT COOL: Duplicated action name from xml data:  "svg_format_superscript"
NOT COOL: Duplicated action name from xml data:  "svg_format_underline"
NOT COOL: Duplicated action name from xml data:  "svg_format_strike_through"
NOT COOL: Duplicated action name from xml data:  "svg_weight_bold"
NOT COOL: Duplicated action name from xml data:  "svg_format_italic"
NOT COOL: Duplicated action name from xml data:  "svg_weight_normal"
NOT COOL: Duplicated action name from xml data:  "svg_weight_demi"
NOT COOL: Duplicated action name from xml data:  "svg_weight_black"
NOT COOL: Duplicated action name from xml data:  "svg_weight_light"
NOT COOL: Duplicated action name from xml data:  "svg_line_height"
NOT COOL: Duplicated action name from xml data:  "svg_settings"
NOT COOL: Duplicated action name from xml data:  "svg_sample_color"
NOT COOL: Duplicated action name from xml data:  "svg_font_kerning"
NOT COOL: Duplicated action name from xml data:  "dbexplorer"
NOT COOL: Duplicated action name from xml data:  "open_resources_directory"
NOT COOL: Duplicated action name from xml data:  "windows_cascade"
NOT COOL: Duplicated action name from xml data:  "windows_tile"
NOT COOL: Duplicated action name from xml data:  "create_bundle"
NOT COOL: Duplicated action name from xml data:  "mainToolBar"
NOT COOL: Duplicated action name from xml data:  "show_color_selector"
NOT COOL: Duplicated action name from xml data:  "show_mypaint_shade_selector"
NOT COOL: Duplicated action name from xml data:  "show_minimal_shade_selector"
NOT COOL: Duplicated action name from xml data:  "show_color_history"
NOT COOL: Duplicated action name from xml data:  "show_common_colors"
NOT COOL: Duplicated action name from xml data:  "show_tool_options"
NOT COOL: Duplicated action name from xml data:  "show_brush_editor"
NOT COOL: Duplicated action name from xml data:  "show_brush_presets"
NOT COOL: Duplicated action name from xml data:  "tablet_debugger"
NOT COOL: Duplicated action name from xml data:  "buginfo"
NOT COOL: Duplicated action name from xml data:  "sysinfo"
NOT COOL: Duplicated action name from xml data:  "command_bar_open"
NOT COOL: Duplicated action name from xml data:  "rename_composition"
NOT COOL: Duplicated action name from xml data:  "update_composition"
NOT COOL: Duplicated action name from xml data:  "ruler_pixel_multiple2"
NOT COOL: Duplicated action name from xml data:  "invert_selection"
NOT COOL: Duplicated action name from xml data:  "create_snapshot"
NOT COOL: Duplicated action name from xml data:  "switchto_snapshot"
NOT COOL: Duplicated action name from xml data:  "remove_snapshot"
NOT COOL: Duplicated action name from xml data:  "make_brush_color_lighter"
NOT COOL: Duplicated action name from xml data:  "make_brush_color_darker"
NOT COOL: Duplicated action name from xml data:  "make_brush_color_saturated"
NOT COOL: Duplicated action name from xml data:  "make_brush_color_desaturated"
NOT COOL: Duplicated action name from xml data:  "shift_brush_color_clockwise"
NOT COOL: Duplicated action name from xml data:  "shift_brush_color_counter_clockwise"
NOT COOL: Duplicated action name from xml data:  "make_brush_color_redder"
NOT COOL: Duplicated action name from xml data:  "make_brush_color_greener"
NOT COOL: Duplicated action name from xml data:  "make_brush_color_bluer"
NOT COOL: Duplicated action name from xml data:  "make_brush_color_yellower"
NOT COOL: Duplicated action name from xml data:  "increase_opacity"
NOT COOL: Duplicated action name from xml data:  "decrease_opacity"
NOT COOL: Duplicated action name from xml data:  "erase_action"
NOT COOL: Duplicated action name from xml data:  "reload_preset_action"
NOT COOL: Duplicated action name from xml data:  "preserve_alpha"
NOT COOL: Duplicated action name from xml data:  "disable_pressure"
NOT COOL: Duplicated action name from xml data:  "hmirror_action"
NOT COOL: Duplicated action name from xml data:  "vmirror_action"
NOT COOL: Duplicated action name from xml data:  "mirrorX-hideDecorations"
NOT COOL: Duplicated action name from xml data:  "mirrorY-hideDecorations"
NOT COOL: Duplicated action name from xml data:  "mirrorX-lock"
NOT COOL: Duplicated action name from xml data:  "mirrorY-lock"
NOT COOL: Duplicated action name from xml data:  "mirrorX-moveToCenter"
NOT COOL: Duplicated action name from xml data:  "mirrorY-moveToCenter"
NOT COOL: Duplicated action name from xml data:  "toggle-selection-overlay-mode"
NOT COOL: Duplicated action name from xml data:  "next_favorite_preset"
NOT COOL: Duplicated action name from xml data:  "previous_favorite_preset"
NOT COOL: Duplicated action name from xml data:  "previous_preset"
NOT COOL: Duplicated action name from xml data:  "BrushesAndStuff"
NOT COOL: Duplicated action name from xml data:  "reset_fg_bg"
NOT COOL: Duplicated action name from xml data:  "toggle_fg_bg"
NOT COOL: Duplicated action name from xml data:  "selection_tool_mode_add"
NOT COOL: Duplicated action name from xml data:  "selection_tool_mode_subtract"
NOT COOL: Duplicated action name from xml data:  "selection_tool_mode_intersect"
NOT COOL: Duplicated action name from xml data:  "selection_tool_mode_replace"
NOT COOL: Duplicated action name from xml data:  "set_weighted_brush_smoothing"
NOT COOL: Duplicated action name from xml data:  "set_no_brush_smoothing"
NOT COOL: Duplicated action name from xml data:  "set_stabilizer_brush_smoothing"
NOT COOL: Duplicated action name from xml data:  "decrease_brush_size"
NOT COOL: Duplicated action name from xml data:  "set_simple_brush_smoothing"
NOT COOL: Duplicated action name from xml data:  "increase_brush_size"
NOT COOL: Duplicated action name from xml data:  "toggle_assistant"
NOT COOL: Duplicated action name from xml data:  "undo_polygon_selection"
NOT COOL: Duplicated action name from xml data:  "fill_selection_foreground_color_opacity"
NOT COOL: Duplicated action name from xml data:  "fill_selection_background_color_opacity"
NOT COOL: Duplicated action name from xml data:  "fill_selection_pattern_opacity"
NOT COOL: Duplicated action name from xml data:  "convert_selection_to_shape"
NOT COOL: Duplicated action name from xml data:  "show-global-selection-mask"
NOT COOL: Duplicated action name from xml data:  "krita_filter_colortoalpha"
NOT COOL: Duplicated action name from xml data:  "krita_filter_top edge detections"
NOT COOL: Duplicated action name from xml data:  "krita_filter_indexcolors"
NOT COOL: Duplicated action name from xml data:  "krita_filter_emboss horizontal only"
NOT COOL: Duplicated action name from xml data:  "krita_filter_dodge"
NOT COOL: Duplicated action name from xml data:  "krita_filter_sharpen"
NOT COOL: Duplicated action name from xml data:  "krita_filter_burn"
NOT COOL: Duplicated action name from xml data:  "krita_filter_mean removal"
NOT COOL: Duplicated action name from xml data:  "krita_filter_gaussian blur"
NOT COOL: Duplicated action name from xml data:  "krita_filter_emboss all directions"
NOT COOL: Duplicated action name from xml data:  "krita_filter_smalltiles"
NOT COOL: Duplicated action name from xml data:  "krita_filter_levels"
NOT COOL: Duplicated action name from xml data:  "krita_filter_sobel"
NOT COOL: Duplicated action name from xml data:  "krita_filter_wave"
NOT COOL: Duplicated action name from xml data:  "krita_filter_motion blur"
NOT COOL: Duplicated action name from xml data:  "krita_filter_invert"
NOT COOL: Duplicated action name from xml data:  "krita_filter_perchannel"
NOT COOL: Duplicated action name from xml data:  "krita_filter_pixelize"
NOT COOL: Duplicated action name from xml data:  "krita_filter_emboss laplascian"
NOT COOL: Duplicated action name from xml data:  "krita_filter_left edge detections"
NOT COOL: Duplicated action name from xml data:  "krita_filter_blur"
NOT COOL: Duplicated action name from xml data:  "krita_filter_raindrops"
NOT COOL: Duplicated action name from xml data:  "krita_filter_bottom edge detections"
NOT COOL: Duplicated action name from xml data:  "krita_filter_noise"
NOT COOL: Duplicated action name from xml data:  "krita_filter_colorbalance"
NOT COOL: Duplicated action name from xml data:  "krita_filter_phongbumpmap"
NOT COOL: Duplicated action name from xml data:  "krita_filter_desaturate"
NOT COOL: Duplicated action name from xml data:  "krita_filter_colortransfer"
NOT COOL: Duplicated action name from xml data:  "krita_filter_emboss vertical only"
NOT COOL: Duplicated action name from xml data:  "krita_filter_lens blur"
NOT COOL: Duplicated action name from xml data:  "krita_filter_minimize"
NOT COOL: Duplicated action name from xml data:  "krita_filter_maximize"
NOT COOL: Duplicated action name from xml data:  "krita_filter_oilpaint"
NOT COOL: Duplicated action name from xml data:  "krita_filter_right edge detections"
NOT COOL: Duplicated action name from xml data:  "krita_filter_autocontrast"
NOT COOL: Duplicated action name from xml data:  "krita_filter_roundcorners"
NOT COOL: Duplicated action name from xml data:  "krita_filter_unsharp"
NOT COOL: Duplicated action name from xml data:  "krita_filter_emboss"
NOT COOL: Duplicated action name from xml data:  "krita_filter_emboss horizontal and vertical"
NOT COOL: Duplicated action name from xml data:  "krita_filter_randompick"
NOT COOL: Duplicated action name from xml data:  "krita_filter_gaussiannoisereducer"
NOT COOL: Duplicated action name from xml data:  "krita_filter_posterize"
NOT COOL: Duplicated action name from xml data:  "krita_filter_waveletnoisereducer"
NOT COOL: Duplicated action name from xml data:  "krita_filter_hsvadjustment"
NOT COOL: Duplicated action name from xml data:  "Next Blending Mode"
NOT COOL: Duplicated action name from xml data:  "Previous Blending Mode"
NOT COOL: Duplicated action name from xml data:  "Select Normal Blending Mode"
NOT COOL: Duplicated action name from xml data:  "Select Dissolve Blending Mode"
NOT COOL: Duplicated action name from xml data:  "Select Behind Blending Mode"
NOT COOL: Duplicated action name from xml data:  "Select Clear Blending Mode"
NOT COOL: Duplicated action name from xml data:  "Select Darken Blending Mode"
NOT COOL: Duplicated action name from xml data:  "Select Multiply Blending Mode"
NOT COOL: Duplicated action name from xml data:  "Select Color Burn Blending Mode"
NOT COOL: Duplicated action name from xml data:  "Select Linear Burn Blending Mode"
NOT COOL: Duplicated action name from xml data:  "Select Lighten Blending Mode"
NOT COOL: Duplicated action name from xml data:  "Select Screen Blending Mode"
NOT COOL: Duplicated action name from xml data:  "Select Color Dodge Blending Mode"
NOT COOL: Duplicated action name from xml data:  "Select Linear Dodge Blending Mode"
NOT COOL: Duplicated action name from xml data:  "Select Overlay Blending Mode"
NOT COOL: Duplicated action name from xml data:  "Select Hard Overlay Blending Mode"
NOT COOL: Duplicated action name from xml data:  "Select Soft Light Blending Mode"
NOT COOL: Duplicated action name from xml data:  "Select Hard Light Blending Mode"
NOT COOL: Duplicated action name from xml data:  "Select Vivid Light Blending Mode"
NOT COOL: Duplicated action name from xml data:  "Select Linear Light Blending Mode"
NOT COOL: Duplicated action name from xml data:  "Select Pin Light Blending Mode"
NOT COOL: Duplicated action name from xml data:  "Select Hard Mix Blending Mode"
NOT COOL: Duplicated action name from xml data:  "Select Difference Blending Mode"
NOT COOL: Duplicated action name from xml data:  "Select Exclusion Blending Mode"
NOT COOL: Duplicated action name from xml data:  "Select Hue Blending Mode"
NOT COOL: Duplicated action name from xml data:  "Select Saturation Blending Mode"
NOT COOL: Duplicated action name from xml data:  "Select Color Blending Mode"
NOT COOL: Duplicated action name from xml data:  "Select Luminosity Blending Mode"
NOT COOL: Duplicated action name from xml data:  "previous_frame"
NOT COOL: Duplicated action name from xml data:  "next_frame"
NOT COOL: Duplicated action name from xml data:  "previous_keyframe"
NOT COOL: Duplicated action name from xml data:  "next_keyframe"
NOT COOL: Duplicated action name from xml data:  "previous_matching_keyframe"
NOT COOL: Duplicated action name from xml data:  "next_matching_keyframe"
NOT COOL: Duplicated action name from xml data:  "previous_unfiltered_keyframe"
NOT COOL: Duplicated action name from xml data:  "next_unfiltered_keyframe"
NOT COOL: Duplicated action name from xml data:  "toggle_playback"
NOT COOL: Duplicated action name from xml data:  "stop_playback"
NOT COOL: Duplicated action name from xml data:  "add_blank_frame"
NOT COOL: Duplicated action name from xml data:  "add_duplicate_frame"
NOT COOL: Duplicated action name from xml data:  "toggle_onion_skin"
NOT COOL: Duplicated action name from xml data:  "first_frame"
NOT COOL: Duplicated action name from xml data:  "last_frame"
NOT COOL: Duplicated action name from xml data:  "auto_key"
NOT COOL: Duplicated action name from xml data:  "drop_frames"
NOT COOL: Duplicated action name from xml data:  "pin_to_timeline"
NOT COOL: Duplicated action name from xml data:  "insert_keyframe_left"
NOT COOL: Duplicated action name from xml data:  "insert_keyframe_right"
NOT COOL: Duplicated action name from xml data:  "insert_multiple_keyframes"
NOT COOL: Duplicated action name from xml data:  "remove_frames_and_pull"
NOT COOL: Duplicated action name from xml data:  "remove_frames"
NOT COOL: Duplicated action name from xml data:  "insert_column_left"
NOT COOL: Duplicated action name from xml data:  "insert_column_right"
NOT COOL: Duplicated action name from xml data:  "insert_multiple_columns"
NOT COOL: Duplicated action name from xml data:  "remove_columns_and_pull"
NOT COOL: Duplicated action name from xml data:  "remove_columns"
NOT COOL: Duplicated action name from xml data:  "insert_hold_frame"
NOT COOL: Duplicated action name from xml data:  "insert_multiple_hold_frames"
NOT COOL: Duplicated action name from xml data:  "remove_hold_frame"
NOT COOL: Duplicated action name from xml data:  "remove_multiple_hold_frames"
NOT COOL: Duplicated action name from xml data:  "insert_hold_column"
NOT COOL: Duplicated action name from xml data:  "insert_multiple_hold_columns"
NOT COOL: Duplicated action name from xml data:  "remove_hold_column"
NOT COOL: Duplicated action name from xml data:  "remove_multiple_hold_columns"
NOT COOL: Duplicated action name from xml data:  "add_scalar_keyframes"
NOT COOL: Duplicated action name from xml data:  "remove_scalar_keyframe"
NOT COOL: Duplicated action name from xml data:  "mirror_frames"
NOT COOL: Duplicated action name from xml data:  "mirror_columns"
NOT COOL: Duplicated action name from xml data:  "clear_animation_cache"
NOT COOL: Duplicated action name from xml data:  "copy_frames"
NOT COOL: Duplicated action name from xml data:  "copy_frames_as_clones"
NOT COOL: Duplicated action name from xml data:  "make_clones_unique"
NOT COOL: Duplicated action name from xml data:  "cut_frames"
NOT COOL: Duplicated action name from xml data:  "paste_frames"
NOT COOL: Duplicated action name from xml data:  "copy_columns_to_clipboard"
NOT COOL: Duplicated action name from xml data:  "cut_columns_to_clipboard"
NOT COOL: Duplicated action name from xml data:  "paste_columns_from_clipboard"
NOT COOL: Duplicated action name from xml data:  "set_start_time"
NOT COOL: Duplicated action name from xml data:  "set_end_time"
NOT COOL: Duplicated action name from xml data:  "update_playback_range"
NOT COOL: Duplicated action name from xml data:  "activateNextLayer"
NOT COOL: Duplicated action name from xml data:  "activateNextSiblingLayer"
NOT COOL: Duplicated action name from xml data:  "activatePreviousLayer"
NOT COOL: Duplicated action name from xml data:  "activatePreviousSiblingLayer"
NOT COOL: Duplicated action name from xml data:  "switchToPreviouslyActiveNode"
NOT COOL: Duplicated action name from xml data:  "add_new_group_layer"
NOT COOL: Duplicated action name from xml data:  "add_new_clone_layer"
NOT COOL: Duplicated action name from xml data:  "add_new_shape_layer"
NOT COOL: Duplicated action name from xml data:  "add_new_adjustment_layer"
NOT COOL: Duplicated action name from xml data:  "add_new_fill_layer"
NOT COOL: Duplicated action name from xml data:  "add_new_file_layer"
NOT COOL: Duplicated action name from xml data:  "add_new_transparency_mask"
NOT COOL: Duplicated action name from xml data:  "add_new_filter_mask"
NOT COOL: Duplicated action name from xml data:  "add_new_colorize_mask"
NOT COOL: Duplicated action name from xml data:  "add_new_transform_mask"
NOT COOL: Duplicated action name from xml data:  "add_new_selection_mask"
NOT COOL: Duplicated action name from xml data:  "isolate_active_layer"
NOT COOL: Duplicated action name from xml data:  "isolate_active_group"
NOT COOL: Duplicated action name from xml data:  "toggle_layer_lock"
NOT COOL: Duplicated action name from xml data:  "toggle_layer_visibility"
NOT COOL: Duplicated action name from xml data:  "toggle_layer_soloing"
NOT COOL: Duplicated action name from xml data:  "toggle_layer_alpha_lock"
NOT COOL: Duplicated action name from xml data:  "toggle_layer_inherit_alpha"
NOT COOL: Duplicated action name from xml data:  "add_new_paint_layer"
NOT COOL: Duplicated action name from xml data:  "new_from_visible"
NOT COOL: Duplicated action name from xml data:  "duplicatelayer"
NOT COOL: Duplicated action name from xml data:  "cut_selection_to_new_layer"
NOT COOL: Duplicated action name from xml data:  "copy_selection_to_new_layer"
NOT COOL: Duplicated action name from xml data:  "copy_layer_clipboard"
NOT COOL: Duplicated action name from xml data:  "cut_layer_clipboard"
NOT COOL: Duplicated action name from xml data:  "paste_layer_from_clipboard"
NOT COOL: Duplicated action name from xml data:  "create_quick_group"
NOT COOL: Duplicated action name from xml data:  "quick_ungroup"
NOT COOL: Duplicated action name from xml data:  "create_quick_clipping_group"
NOT COOL: Duplicated action name from xml data:  "select_all_layers"
NOT COOL: Duplicated action name from xml data:  "select_visible_layers"
NOT COOL: Duplicated action name from xml data:  "select_locked_layers"
NOT COOL: Duplicated action name from xml data:  "select_invisible_layers"
NOT COOL: Duplicated action name from xml data:  "select_unlocked_layers"
NOT COOL: Duplicated action name from xml data:  "save_node_as_image"
NOT COOL: Duplicated action name from xml data:  "save_vector_node_to_svg"
NOT COOL: Duplicated action name from xml data:  "save_groups_as_images"
NOT COOL: Duplicated action name from xml data:  "convert_group_to_animated"
NOT COOL: Duplicated action name from xml data:  "convert_to_animated"
NOT COOL: Duplicated action name from xml data:  "convert_to_file_layer"
NOT COOL: Duplicated action name from xml data:  "import_layer_from_file"
NOT COOL: Duplicated action name from xml data:  "import_layer_as_paint_layer"
NOT COOL: Duplicated action name from xml data:  "import_layer_as_transparency_mask"
NOT COOL: Duplicated action name from xml data:  "import_layer_as_filter_mask"
NOT COOL: Duplicated action name from xml data:  "import_layer_as_selection_mask"
NOT COOL: Duplicated action name from xml data:  "convert_to_paint_layer"
NOT COOL: Duplicated action name from xml data:  "convert_to_transparency_mask"
NOT COOL: Duplicated action name from xml data:  "convert_to_filter_mask"
NOT COOL: Duplicated action name from xml data:  "convert_to_selection_mask"
NOT COOL: Duplicated action name from xml data:  "split_alpha_into_mask"
NOT COOL: Duplicated action name from xml data:  "split_alpha_write"
NOT COOL: Duplicated action name from xml data:  "split_alpha_save_merged"
NOT COOL: Duplicated action name from xml data:  "layersplit"
NOT COOL: Duplicated action name from xml data:  "waveletdecompose"
NOT COOL: Duplicated action name from xml data:  "mirrorNodeX"
NOT COOL: Duplicated action name from xml data:  "mirrorNodeY"
NOT COOL: Duplicated action name from xml data:  "rotatelayer"
NOT COOL: Duplicated action name from xml data:  "rotateLayerCW90"
NOT COOL: Duplicated action name from xml data:  "rotateLayerCCW90"
NOT COOL: Duplicated action name from xml data:  "rotateLayer180"
NOT COOL: Duplicated action name from xml data:  "layersize"
NOT COOL: Duplicated action name from xml data:  "shearlayer"
NOT COOL: Duplicated action name from xml data:  "mirrorAllNodesX"
NOT COOL: Duplicated action name from xml data:  "mirrorAllNodesY"
NOT COOL: Duplicated action name from xml data:  "rotateAllLayers"
NOT COOL: Duplicated action name from xml data:  "rotateAllLayersCW90"
NOT COOL: Duplicated action name from xml data:  "rotateAllLayersCCW90"
NOT COOL: Duplicated action name from xml data:  "rotateAllLayers180"
NOT COOL: Duplicated action name from xml data:  "scaleAllLayers"
NOT COOL: Duplicated action name from xml data:  "shearAllLayers"
NOT COOL: Duplicated action name from xml data:  "offsetlayer"
NOT COOL: Duplicated action name from xml data:  "clones_array"
NOT COOL: Duplicated action name from xml data:  "EditLayerMetaData"
NOT COOL: Duplicated action name from xml data:  "histogram"
NOT COOL: Duplicated action name from xml data:  "layercolorspaceconversion"
NOT COOL: Duplicated action name from xml data:  "merge_layer"
NOT COOL: Duplicated action name from xml data:  "flatten_layer"
NOT COOL: Duplicated action name from xml data:  "flatten_image"
NOT COOL: Duplicated action name from xml data:  "layer_style"
NOT COOL: Duplicated action name from xml data:  "LayerGroupSwitcher/previous"
NOT COOL: Duplicated action name from xml data:  "LayerGroupSwitcher/next"
NOT COOL: Duplicated action name from xml data:  "RenameCurrentLayer"
NOT COOL: Duplicated action name from xml data:  "remove_layer"
NOT COOL: Duplicated action name from xml data:  "move_layer_up"
NOT COOL: Duplicated action name from xml data:  "move_layer_down"
NOT COOL: Duplicated action name from xml data:  "layer_properties"
NOT COOL: Duplicated action name from xml data:  "set-copy-from"
NOT COOL: Duplicated action name from xml data:  "file_new"
NOT COOL: Duplicated action name from xml data:  "file_open"
NOT COOL: Duplicated action name from xml data:  "file_open_recent"
NOT COOL: Duplicated action name from xml data:  "file_save"
NOT COOL: Duplicated action name from xml data:  "file_save_as"
NOT COOL: Duplicated action name from xml data:  "file_sessions"
NOT COOL: Duplicated action name from xml data:  "file_import_file"
NOT COOL: Duplicated action name from xml data:  "file_export_file"
NOT COOL: Duplicated action name from xml data:  "file_export_advanced"
NOT COOL: Duplicated action name from xml data:  "file_import_animation"
NOT COOL: Duplicated action name from xml data:  "file_import_video_animation"
NOT COOL: Duplicated action name from xml data:  "render_animation"
NOT COOL: Duplicated action name from xml data:  "render_animation_again"
NOT COOL: Duplicated action name from xml data:  "save_incremental_version"
NOT COOL: Duplicated action name from xml data:  "save_incremental_backup"
NOT COOL: Duplicated action name from xml data:  "create_template"
NOT COOL: Duplicated action name from xml data:  "create_copy"
NOT COOL: Duplicated action name from xml data:  "file_documentinfo"
NOT COOL: Duplicated action name from xml data:  "file_close_all"
NOT COOL: Duplicated action name from xml data:  "file_close"
NOT COOL: Duplicated action name from xml data:  "file_quit"
NOT COOL: Duplicated action name from xml data:  "edit_undo"
NOT COOL: Duplicated action name from xml data:  "edit_redo"
NOT COOL: Duplicated action name from xml data:  "edit_cut"
NOT COOL: Duplicated action name from xml data:  "edit_copy"
NOT COOL: Duplicated action name from xml data:  "copy_sharp"
NOT COOL: Duplicated action name from xml data:  "cut_sharp"
NOT COOL: Duplicated action name from xml data:  "copy_merged"
NOT COOL: Duplicated action name from xml data:  "edit_paste"
NOT COOL: Duplicated action name from xml data:  "paste_at"
NOT COOL: Duplicated action name from xml data:  "paste_into"
NOT COOL: Duplicated action name from xml data:  "paste_new"
NOT COOL: Duplicated action name from xml data:  "paste_shape_style"
NOT COOL: Duplicated action name from xml data:  "paste_as_reference"
NOT COOL: Duplicated action name from xml data:  "clear"
NOT COOL: Duplicated action name from xml data:  "fill_selection_foreground_color"
NOT COOL: Duplicated action name from xml data:  "fill_selection_background_color"
NOT COOL: Duplicated action name from xml data:  "fill_selection_pattern"
NOT COOL: Duplicated action name from xml data:  "stroke_shapes"
NOT COOL: Duplicated action name from xml data:  "stroke_selection"
NOT COOL: Duplicated action name from xml data:  "delete_keyframe"
NOT COOL: Duplicated action name from xml data:  "view_newwindow"
NOT COOL: Duplicated action name from xml data:  "windows_next"
NOT COOL: Duplicated action name from xml data:  "windows_previous"
NOT COOL: Duplicated action name from xml data:  "view_show_canvas_only"
NOT COOL: Duplicated action name from xml data:  "fullscreen"
NOT COOL: Duplicated action name from xml data:  "view_detached_canvas"
NOT COOL: Duplicated action name from xml data:  "wrap_around_mode"
NOT COOL: Duplicated action name from xml data:  "level_of_detail_mode"
NOT COOL: Duplicated action name from xml data:  "softProof"
NOT COOL: Duplicated action name from xml data:  "gamutCheck"
NOT COOL: Duplicated action name from xml data:  "mirror_canvas"
NOT COOL: Duplicated action name from xml data:  "zoom_to_100pct"
NOT COOL: Duplicated action name from xml data:  "view_zoom_in"
NOT COOL: Duplicated action name from xml data:  "view_zoom_out"
NOT COOL: Duplicated action name from xml data:  "rotate_canvas_right"
NOT COOL: Duplicated action name from xml data:  "rotate_canvas_left"
NOT COOL: Duplicated action name from xml data:  "reset_canvas_rotation"
NOT COOL: Duplicated action name from xml data:  "view_ruler"
NOT COOL: Duplicated action name from xml data:  "rulers_track_mouse"
NOT COOL: Duplicated action name from xml data:  "view_show_guides"
NOT COOL: Duplicated action name from xml data:  "view_lock_guides"
NOT COOL: Duplicated action name from xml data:  "view_snap_to_guides"
NOT COOL: Duplicated action name from xml data:  "showStatusBar"
NOT COOL: Duplicated action name from xml data:  "view_pixel_grid"
NOT COOL: Duplicated action name from xml data:  "view_grid"
NOT COOL: Duplicated action name from xml data:  "view_snap_to_grid"
NOT COOL: Duplicated action name from xml data:  "show_snap_options_popup"
NOT COOL: Duplicated action name from xml data:  "view_snap_orthogonal"
NOT COOL: Duplicated action name from xml data:  "view_snap_node"
NOT COOL: Duplicated action name from xml data:  "view_snap_extension"
NOT COOL: Duplicated action name from xml data:  "view_snap_to_pixel"
NOT COOL: Duplicated action name from xml data:  "view_snap_intersection"
NOT COOL: Duplicated action name from xml data:  "view_snap_bounding_box"
NOT COOL: Duplicated action name from xml data:  "view_snap_image_bounds"
NOT COOL: Duplicated action name from xml data:  "view_snap_image_center"
NOT COOL: Duplicated action name from xml data:  "view_toggle_painting_assistants"
NOT COOL: Duplicated action name from xml data:  "view_toggle_assistant_previews"
NOT COOL: Duplicated action name from xml data:  "view_toggle_reference_images"
NOT COOL: Duplicated action name from xml data:  "image_properties"
NOT COOL: Duplicated action name from xml data:  "image_color"
NOT COOL: Duplicated action name from xml data:  "imagecolorspaceconversion"
NOT COOL: Duplicated action name from xml data:  "trim_to_image"
NOT COOL: Duplicated action name from xml data:  "resizeimagetolayer"
NOT COOL: Duplicated action name from xml data:  "resizeimagetoselection"
NOT COOL: Duplicated action name from xml data:  "rotateimage"
NOT COOL: Duplicated action name from xml data:  "rotateImageCW90"
NOT COOL: Duplicated action name from xml data:  "rotateImageCCW90"
NOT COOL: Duplicated action name from xml data:  "rotateImage180"
NOT COOL: Duplicated action name from xml data:  "shearimage"
NOT COOL: Duplicated action name from xml data:  "mirrorImageHorizontal"
NOT COOL: Duplicated action name from xml data:  "mirrorImageVertical"
NOT COOL: Duplicated action name from xml data:  "imagesize"
NOT COOL: Duplicated action name from xml data:  "offsetimage"
NOT COOL: Duplicated action name from xml data:  "canvassize"
NOT COOL: Duplicated action name from xml data:  "imagesplit"
NOT COOL: Duplicated action name from xml data:  "separate"
NOT COOL: Duplicated action name from xml data:  "select_all"
NOT COOL: Duplicated action name from xml data:  "deselect"
NOT COOL: Duplicated action name from xml data:  "reselect"
NOT COOL: Duplicated action name from xml data:  "convert_to_vector_selection"
NOT COOL: Duplicated action name from xml data:  "convert_to_raster_selection"
NOT COOL: Duplicated action name from xml data:  "edit_selection"
NOT COOL: Duplicated action name from xml data:  "convert_shapes_to_vector_selection"
NOT COOL: Duplicated action name from xml data:  "featherselection"
NOT COOL: Duplicated action name from xml data:  "toggle_display_selection"
NOT COOL: Duplicated action name from xml data:  "selectionscale"
NOT COOL: Duplicated action name from xml data:  "colorrange"
NOT COOL: Duplicated action name from xml data:  "selectopaque"
NOT COOL: Duplicated action name from xml data:  "selectopaque_add"
NOT COOL: Duplicated action name from xml data:  "selectopaque_subtract"
NOT COOL: Duplicated action name from xml data:  "selectopaque_intersect"
NOT COOL: Duplicated action name from xml data:  "growselection"
NOT COOL: Duplicated action name from xml data:  "shrinkselection"
NOT COOL: Duplicated action name from xml data:  "borderselection"
NOT COOL: Duplicated action name from xml data:  "smoothselection"
NOT COOL: Duplicated action name from xml data:  "filter_apply_again"
NOT COOL: Duplicated action name from xml data:  "filter_apply_reprompt"
NOT COOL: Duplicated action name from xml data:  "adjust_filters"
NOT COOL: Duplicated action name from xml data:  "artistic_filters"
NOT COOL: Duplicated action name from xml data:  "blur_filters"
NOT COOL: Duplicated action name from xml data:  "color_filters"
NOT COOL: Duplicated action name from xml data:  "edge_filters"
NOT COOL: Duplicated action name from xml data:  "enhance_filters"
NOT COOL: Duplicated action name from xml data:  "emboss_filters"
NOT COOL: Duplicated action name from xml data:  "map_filters"
NOT COOL: Duplicated action name from xml data:  "other_filters"
NOT COOL: Duplicated action name from xml data:  "QMic"
NOT COOL: Duplicated action name from xml data:  "QMicAgain"
NOT COOL: Duplicated action name from xml data:  "options_configure"
NOT COOL: Duplicated action name from xml data:  "manage_bundles"
NOT COOL: Duplicated action name from xml data:  "manage_resources"
NOT COOL: Duplicated action name from xml data:  "switch_application_language"
NOT COOL: Duplicated action name from xml data:  "view_toggledockers"
NOT COOL: Duplicated action name from xml data:  "view_toggledockertitlebars"
NOT COOL: Duplicated action name from xml data:  "options_configure_toolbars"
NOT COOL: Duplicated action name from xml data:  "settings_dockers_menu"
NOT COOL: Duplicated action name from xml data:  "theme_menu"
NOT COOL: Duplicated action name from xml data:  "style_menu"
NOT COOL: Duplicated action name from xml data:  "settings_active_author"
NOT COOL: Duplicated action name from xml data:  "reset_configurations"
NOT COOL: Duplicated action name from xml data:  "options_configure_keybinding"
NOT COOL: Duplicated action name from xml data:  "window"
NOT COOL: Duplicated action name from xml data:  "help_contents"
NOT COOL: Duplicated action name from xml data:  "help_report_bug"
NOT COOL: Duplicated action name from xml data:  "help_about_app"
NOT COOL: Duplicated action name from xml data:  "help_about_kde"
NOT COOL: Duplicated action name from xml data:  "gradients"
NOT COOL: Duplicated action name from xml data:  "patterns"
NOT COOL: Duplicated action name from xml data:  "dual"
NOT COOL: Duplicated action name from xml data:  "paintops"
NOT COOL: Duplicated action name from xml data:  "composite_actions"
NOT COOL: Duplicated action name from xml data:  "brushslider1"
NOT COOL: Duplicated action name from xml data:  "brushslider2"
NOT COOL: Duplicated action name from xml data:  "brushslider3"
NOT COOL: Duplicated action name from xml data:  "brushslider4"
NOT COOL: Duplicated action name from xml data:  "mirror_actions"
NOT COOL: Duplicated action name from xml data:  "select_layout"
NOT COOL: Duplicated action name from xml data:  "workspaces"
NOT COOL: Duplicated action name from xml data:  "plugin_importer_file"
NOT COOL: Duplicated action name from xml data:  "plugin_importer_web"
NOT COOL: Duplicated action name from xml data:  "recorder_record_toggle"
NOT COOL: Duplicated action name from xml data:  "recorder_export"
NOT COOL: Duplicated action name from xml data:  "ten_brushes"
NOT COOL: Duplicated action name from xml data:  "activate_preset_1"
NOT COOL: Duplicated action name from xml data:  "activate_preset_2"
NOT COOL: Duplicated action name from xml data:  "activate_preset_3"
NOT COOL: Duplicated action name from xml data:  "activate_preset_4"
NOT COOL: Duplicated action name from xml data:  "activate_preset_5"
NOT COOL: Duplicated action name from xml data:  "activate_preset_6"
NOT COOL: Duplicated action name from xml data:  "activate_preset_7"
NOT COOL: Duplicated action name from xml data:  "activate_preset_8"
NOT COOL: Duplicated action name from xml data:  "activate_preset_9"
NOT COOL: Duplicated action name from xml data:  "activate_preset_0"
NOT COOL: Duplicated action name from xml data:  "execute_script_1"
NOT COOL: Duplicated action name from xml data:  "execute_script_2"
NOT COOL: Duplicated action name from xml data:  "execute_script_3"
NOT COOL: Duplicated action name from xml data:  "execute_script_4"
NOT COOL: Duplicated action name from xml data:  "execute_script_5"
NOT COOL: Duplicated action name from xml data:  "execute_script_6"
NOT COOL: Duplicated action name from xml data:  "execute_script_7"
NOT COOL: Duplicated action name from xml data:  "execute_script_8"
NOT COOL: Duplicated action name from xml data:  "execute_script_9"
NOT COOL: Duplicated action name from xml data:  "execute_script_10"
NOT COOL: Duplicated action name from xml data:  "krita_filter_threshold"
NOT COOL: Duplicated action name from xml data:  "KritaShape/KisToolDyna"
NOT COOL: Duplicated action name from xml data:  "KritaShape/KisToolRectangle"
NOT COOL: Duplicated action name from xml data:  "KritaShape/KisToolMultiBrush"
NOT COOL: Duplicated action name from xml data:  "KritaShape/KisToolLazyBrush"
NOT COOL: Duplicated action name from xml data:  "KritaShape/KisToolSmartPatch"
NOT COOL: Duplicated action name from xml data:  "PanTool"
NOT COOL: Duplicated action name from xml data:  "InteractionTool"
NOT COOL: Duplicated action name from xml data:  "KritaSelected/KisToolColorSampler"
NOT COOL: Duplicated action name from xml data:  "KritaFill/KisToolFill"
NOT COOL: Duplicated action name from xml data:  "KritaShape/KisToolLine"
NOT COOL: Duplicated action name from xml data:  "KritaShape/KisToolEllipse"
NOT COOL: Duplicated action name from xml data:  "KritaShape/KisToolBrush"
NOT COOL: Duplicated action name from xml data:  "KritaFill/KisToolGradient"
NOT COOL: Duplicated action name from xml data:  "KritaShape/KisToolMeasure"
NOT COOL: Duplicated action name from xml data:  "KritaTransform/KisToolMove"
NOT COOL: Duplicated action name from xml data:  "KarbonCalligraphyTool"
NOT COOL: Duplicated action name from xml data:  "PathTool"
NOT COOL: Duplicated action name from xml data:  "ZoomTool"
NOT COOL: Duplicated action name from xml data:  "ToolReferenceImages"
Bundle "/home/taku/.local/share/krita/Rakurri_Brush_Set_V1.0.bundle" is broken. File "brushes/abominable_snowman.png" is missing
Bundle "/home/taku/.local/share/krita/Rakurri_Brush_Set_V.1.1.bundle" is broken. File "paintoppresets/Rakurri_Blender_Frosty.kpp" is missing
Bundle "/home/taku/.local/share/krita/Rakurri_Brush_Set_V.1.1.bundle" is broken. File "paintoppresets/Rakurri_Blender_Splatty.kpp" is missing
Bundle "/home/taku/.local/share/krita/Rakurri_Brush_Set_V.1.1.bundle" is broken. File "paintoppresets/Rakurri_Pixelblend_Groom.kpp" is missing
QObject::startTimer: Timers cannot have negative intervals
[Detaching after fork from child process 375126]
Could not find platform independent libraries <prefix>
Could not find platform dependent libraries <exec_prefix>
Consider setting $PYTHONHOME to <prefix>[:<exec_prefix>]
/tmp/.mount_krita-p5IhJW/usr/lib/krita-python-libs/krita added to PYTHONPATH

Thread 18 "Thread (pooled)" received signal SIGSEGV, Segmentation fault.                                           
[Switching to Thread 0x7fff9a17d640 (LWP 375165)]                                                                  
0x00007fffd3cc5edd in KisRainDropsFilter::processImpl(KisSharedPtr<KisPaintDevice>, QRect const&, KisPinnedSharedPtr<KisFilterConfiguration>, KoUpdater*) const () from /tmp/.mount_krita-p5IhJW/usr/lib/kritaplugins/kritaraindropsfilter.so                                                                                                            
(gdb)
Comment 1 wolthera 2022-01-31 13:41:52 UTC
Hm... I can't reproduce that here on KDE Neon, however...

Could you try to run Krita in gdb again, and this time, when it crashes type "thread apply all backtrace", and then keep smashing 'continue' untill gdb gives nothing new anymore.

This way, we can find the exact spot it crashes, and maybe do something about it anyhow.
Comment 2 le_dino 2022-01-31 16:28:29 UTC
(In reply to wolthera from comment #1)
> Hm... I can't reproduce that here on KDE Neon, however...
> 
> Could you try to run Krita in gdb again, and this time, when it crashes type
> "thread apply all backtrace", and then keep smashing 'continue' untill gdb
> gives nothing new anymore.
> 
> This way, we can find the exact spot it crashes, and maybe do something
> about it anyhow.

Um, continue? 
this is the output when I write that after the crash

Thread 18 "Thread (pooled)" received signal SIGSEGV, Segmentation fault.
[Switching to Thread 0x7fff937ff640 (LWP 395934)]
0x00007fffd3cc5edd in KisRainDropsFilter::processImpl(KisSharedPtr<KisPaintDevice>, QRect const&, KisPinnedSharedPtr<KisFilterConfiguration>, KoUpdater*) const () from /tmp/.mount_krita-APF8bu/usr/lib/kritaplugins/kritaraindropsfilter.so                                                                                                                                                                                                                                         
(gdb) thread apply all backtrace

Thread 18 (Thread 0x7fff937ff640 (LWP 395934) "Thread (pooled)"):
#0  0x00007fffd3cc5edd in KisRainDropsFilter::processImpl(KisSharedPtr<KisPaintDevice>, QRect const&, KisPinnedSharedPtr<KisFilterConfiguration>, KoUpdater*) const () from /tmp/.mount_krita-APF8bu/usr/lib/kritaplugins/kritaraindropsfilter.so                                                                                                                                                                                                                                     
#1  0x00007ffff792748f in ?? () from /tmp/.mount_krita-APF8bu/usr/bin/../lib/libkritaui.so.17
#2  0x00007ffff792bc62 in KisFilterStrokeStrategy::doStrokeCallback(KisStrokeJobData*) () from /tmp/.mount_krita-APF8bu/usr/bin/../lib/libkritaui.so.17
#3  0x00007ffff6be4c14 in ?? () from /tmp/.mount_krita-APF8bu/usr/bin/../lib/libkritaimage.so.17
#4  0x00007ffff50b1877 in ?? () from /tmp/.mount_krita-APF8bu/usr/bin/../lib/libQt5Core.so.5
#5  0x00007ffff50ad42e in ?? () from /tmp/.mount_krita-APF8bu/usr/bin/../lib/libQt5Core.so.5
#6  0x00007ffff4c25927 in start_thread (arg=<optimised out>) at pthread_create.c:435
#7  0x00007ffff4cb59e4 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:100

Thread 16 (Thread 0x7fff9be8f640 (LWP 395930) "RecorderWriter"):
#0  0x00007ffff4ca8cdf in __GI___poll (fds=0x7fff940036e0, nfds=1, timeout=1049) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007fffee9d7ea6 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fffee982003 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007ffff52e581f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /tmp/.mount_krita-APF8bu/usr/bin/../lib/libQt5Core.so.5
#4  0x00007ffff528aa8a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /tmp/.mount_krita-APF8bu/usr/bin/../lib/libQt5Core.so.5
#5  0x00007ffff50abde4 in QThread::exec() () from /tmp/.mount_krita-APF8bu/usr/bin/../lib/libQt5Core.so.5
#6  0x00007fffca2b6467 in RecorderWriter::run() () from /tmp/.mount_krita-APF8bu/usr/lib/kritaplugins/kritarecorderdocker.so
#7  0x00007ffff50ad42e in ?? () from /tmp/.mount_krita-APF8bu/usr/bin/../lib/libQt5Core.so.5
#8  0x00007ffff4c25927 in start_thread (arg=<optimised out>) at pthread_create.c:435
#9  0x00007ffff4cb59e4 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:100

Thread 13 (Thread 0x7fffa9047640 (LWP 395926) "Thread (pooled)"):
#0  __futex_abstimed_wait_common64 (private=0, cancel=true, abstime=0x7fffa9046b00, op=137, expected=0, futex_word=0x7fff9c007ba0) at futex-internal.c:57
#1  __futex_abstimed_wait_common (cancel=true, private=0, abstime=0x7fffa9046b00, clockid=0, expected=0, futex_word=0x7fff9c007ba0) at futex-internal.c:87
#2  __GI___futex_abstimed_wait_cancelable64 (futex_word=futex_word@entry=0x7fff9c007ba0, expected=expected@entry=0, clockid=clockid@entry=1, abstime=abstime@entry=0x7fffa9046b00, private=private@entry=0) at futex-internal.c:139
#3  0x00007ffff4c24d7e in __pthread_cond_wait_common (abstime=0x7fffa9046b00, clockid=1, mutex=0x7fff9c007b50, cond=0x7fff9c007b78) at pthread_cond_wait.c:504
#4  ___pthread_cond_timedwait64 (cond=0x7fff9c007b78, mutex=0x7fff9c007b50, abstime=0x7fffa9046b00) at pthread_cond_wait.c:653
#5  0x00007ffff50b4d64 in QWaitCondition::wait(QMutex*, QDeadlineTimer) () from /tmp/.mount_krita-APF8bu/usr/bin/../lib/libQt5Core.so.5
#6  0x00007ffff50b50f6 in QWaitCondition::wait(QMutex*, unsigned long) () from /tmp/.mount_krita-APF8bu/usr/bin/../lib/libQt5Core.so.5
#7  0x00007ffff50b1b28 in ?? () from /tmp/.mount_krita-APF8bu/usr/bin/../lib/libQt5Core.so.5
#8  0x00007ffff50ad42e in ?? () from /tmp/.mount_krita-APF8bu/usr/bin/../lib/libQt5Core.so.5
#9  0x00007ffff4c25927 in start_thread (arg=<optimised out>) at pthread_create.c:435
#10 0x00007ffff4cb59e4 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:100

Thread 12 (Thread 0x7fffa9848640 (LWP 395925) "QNetworkAccessM"):
#0  0x00007ffff4ca8cdf in __GI___poll (fds=0x7fff9c0029e0, nfds=2, timeout=135078) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007fffee9d7ea6 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fffee982003 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007ffff52e581f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /tmp/.mount_krita-APF8bu/usr/bin/../lib/libQt5Core.so.5
#4  0x00007ffff528aa8a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /tmp/.mount_krita-APF8bu/usr/bin/../lib/libQt5Core.so.5
#5  0x00007ffff50abde4 in QThread::exec() () from /tmp/.mount_krita-APF8bu/usr/bin/../lib/libQt5Core.so.5
#6  0x00007ffff50ad42e in ?? () from /tmp/.mount_krita-APF8bu/usr/bin/../lib/libQt5Core.so.5
#7  0x00007ffff4c25927 in start_thread (arg=<optimised out>) at pthread_create.c:435
#8  0x00007ffff4cb59e4 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:100

Thread 11 (Thread 0x7fffaa049640 (LWP 395921) "QQuickPixmapRea"):
#0  0x00007ffff4ca8cdf in __GI___poll (fds=0x7fffa4005160, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007fffee9d7ea6 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fffee982003 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007ffff52e581f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /tmp/.mount_krita-APF8bu/usr/bin/../lib/libQt5Core.so.5
#4  0x00007ffff528aa8a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /tmp/.mount_krita-APF8bu/usr/bin/../lib/libQt5Core.so.5
#5  0x00007ffff50abde4 in QThread::exec() () from /tmp/.mount_krita-APF8bu/usr/bin/../lib/libQt5Core.so.5
#6  0x00007fffc88934f6 in ?? () from /tmp/.mount_krita-APF8bu/usr/lib/kritaplugins/../libQt5Quick.so.5
#7  0x00007ffff50ad42e in ?? () from /tmp/.mount_krita-APF8bu/usr/bin/../lib/libQt5Core.so.5
#8  0x00007ffff4c25927 in start_thread (arg=<optimised out>) at pthread_create.c:435
#9  0x00007ffff4cb59e4 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:100

Thread 10 (Thread 0x7fffc3fbd640 (LWP 395920) "QQmlThread"):
#0  0x00007ffff4ca8cdf in __GI___poll (fds=0x7fffb4000b60, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007fffee9d7ea6 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fffee982003 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007ffff52e581f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /tmp/.mount_krita-APF8bu/usr/bin/../lib/libQt5Core.so.5
#4  0x00007ffff528aa8a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /tmp/.mount_krita-APF8bu/usr/bin/../lib/libQt5Core.so.5
#5  0x00007ffff50abde4 in QThread::exec() () from /tmp/.mount_krita-APF8bu/usr/bin/../lib/libQt5Core.so.5
#6  0x00007fffc8f26c55 in ?? () from /tmp/.mount_krita-APF8bu/usr/lib/kritaplugins/../libQt5Qml.so.5
#7  0x00007ffff50ad42e in ?? () from /tmp/.mount_krita-APF8bu/usr/bin/../lib/libQt5Core.so.5
#8  0x00007ffff4c25927 in start_thread (arg=<optimised out>) at pthread_create.c:435
#9  0x00007ffff4cb59e4 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:100

Thread 9 (Thread 0x7fffc12f6640 (LWP 395913) "KisTileDataSwap"):
#0  syscall () at ../sysdeps/unix/sysv/linux/x86_64/syscall.S:38
#1  0x00007ffff50b06ff in ?? () from /tmp/.mount_krita-APF8bu/usr/bin/../lib/libQt5Core.so.5
#2  0x00007ffff50b0567 in QSemaphore::tryAcquire(int, int) () from /tmp/.mount_krita-APF8bu/usr/bin/../lib/libQt5Core.so.5
#3  0x00007ffff6c0f9fa in KisTileDataSwapper::run() () from /tmp/.mount_krita-APF8bu/usr/bin/../lib/libkritaimage.so.17
#4  0x00007ffff50ad42e in ?? () from /tmp/.mount_krita-APF8bu/usr/bin/../lib/libQt5Core.so.5
#5  0x00007ffff4c25927 in start_thread (arg=<optimised out>) at pthread_create.c:435
#6  0x00007ffff4cb59e4 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:100

Thread 7 (Thread 0x7fffc47be640 (LWP 395901) "Qt bearer threa"):
#0  0x00007ffff4ca8cdf in __GI___poll (fds=0x7fffbc0025e0, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007fffee9d7ea6 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fffee982003 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007ffff52e581f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /tmp/.mount_krita-APF8bu/usr/bin/../lib/libQt5Core.so.5
#4  0x00007ffff528aa8a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /tmp/.mount_krita-APF8bu/usr/bin/../lib/libQt5Core.so.5
#5  0x00007ffff50abde4 in QThread::exec() () from /tmp/.mount_krita-APF8bu/usr/bin/../lib/libQt5Core.so.5
#6  0x00007ffff50ad42e in ?? () from /tmp/.mount_krita-APF8bu/usr/bin/../lib/libQt5Core.so.5
#7  0x00007ffff4c25927 in start_thread (arg=<optimised out>) at pthread_create.c:435
#8  0x00007ffff4cb59e4 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:100

Thread 6 (Thread 0x7fffe8777640 (LWP 395900) "QXcbEventQueue"):
#0  0x00007ffff4ca8cdf in __GI___poll (fds=0x7fffe8776af8, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007fffee17fc1a in ?? () from /lib/x86_64-linux-gnu/libxcb.so.1
#2  0x00007fffee181ffa in xcb_wait_for_event () from /lib/x86_64-linux-gnu/libxcb.so.1
#3  0x00007fffe93b1ff0 in ?? () from /tmp/.mount_krita-APF8bu/usr/plugins/platforms/../../lib/libQt5XcbQpa.so.5
#4  0x00007ffff50ad42e in ?? () from /tmp/.mount_krita-APF8bu/usr/bin/../lib/libQt5Core.so.5
#5  0x00007ffff4c25927 in start_thread (arg=<optimised out>) at pthread_create.c:435
#6  0x00007ffff4cb59e4 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:100

Thread 3 (Thread 0x7fffe7f4f640 (LWP 395895) "QDBusConnection"):
#0  0x00007ffff4ca8cdf in __GI___poll (fds=0x7fffd8007370, nfds=4, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007fffee9d7ea6 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fffee982003 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007ffff52e581f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /tmp/.mount_krita-APF8bu/usr/bin/../lib/libQt5Core.so.5
#4  0x00007ffff528aa8a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /tmp/.mount_krita-APF8bu/usr/bin/../lib/libQt5Core.so.5
#5  0x00007ffff50abde4 in QThread::exec() () from /tmp/.mount_krita-APF8bu/usr/bin/../lib/libQt5Core.so.5
#6  0x00007fffee080a05 in ?? () from /tmp/.mount_krita-APF8bu/usr/bin/../lib/libQt5DBus.so.5
#7  0x00007ffff50ad42e in ?? () from /tmp/.mount_krita-APF8bu/usr/bin/../lib/libQt5Core.so.5
#8  0x00007ffff4c25927 in start_thread (arg=<optimised out>) at pthread_create.c:435
#9  0x00007ffff4cb59e4 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:100

Thread 1 (Thread 0x7fffe9a74900 (LWP 395884) "AppRun"):
#0  ___xstat64 (vers=1, name=0xa6ce6b8 "/tmp/.mount_krita-APF8bu/usr/share/mime/image/png.xml", buf=0x7fffffffae10) at ../sysdeps/unix/sysv/linux/xstat64.c:50
#1  0x00007ffff522ba35 in ?? () from /tmp/.mount_krita-APF8bu/usr/bin/../lib/libQt5Core.so.5
#2  0x00007ffff51c1adc in QFileInfo::isFile() const () from /tmp/.mount_krita-APF8bu/usr/bin/../lib/libQt5Core.so.5
#3  0x00007ffff51dfb72 in QStandardPaths::locateAll(QStandardPaths::StandardLocation, QString const&, QFlags<QStandardPaths::LocateOption>) () from /tmp/.mount_krita-APF8bu/usr/bin/../lib/libQt5Core.so.5
#4  0x00007ffff5367576 in ?? () from /tmp/.mount_krita-APF8bu/usr/bin/../lib/libQt5Core.so.5
#5  0x00007ffff5354bc0 in ?? () from /tmp/.mount_krita-APF8bu/usr/bin/../lib/libQt5Core.so.5
#6  0x00007ffff535b5d7 in QMimeType::suffixes() const () from /tmp/.mount_krita-APF8bu/usr/bin/../lib/libQt5Core.so.5
#7  0x00007ffff535b79e in QMimeType::preferredSuffix() const () from /tmp/.mount_krita-APF8bu/usr/bin/../lib/libQt5Core.so.5
#8  0x00007ffff57c79dc in QIcon::addFile(QString const&, QSize const&, QIcon::Mode, QIcon::State) () from /tmp/.mount_krita-APF8bu/usr/bin/../lib/libQt5Gui.so.5
#9  0x00007ffff5de101d in ?? () from /tmp/.mount_krita-APF8bu/usr/bin/../lib/libQt5Widgets.so.5
#10 0x00007ffff5dfcedb in QCommonStyle::standardIcon(QStyle::StandardPixmap, QStyleOption const*, QWidget const*) const () from /tmp/.mount_krita-APF8bu/usr/bin/../lib/libQt5Widgets.so.5
#11 0x00007ffff5e3acfd in QWindowsStyle::standardIcon(QStyle::StandardPixmap, QStyleOption const*, QWidget const*) const () from /tmp/.mount_krita-APF8bu/usr/bin/../lib/libQt5Widgets.so.5
#12 0x00007ffff5e008f5 in QProxyStyle::standardIcon(QStyle::StandardPixmap, QStyleOption const*, QWidget const*) const () from /tmp/.mount_krita-APF8bu/usr/bin/../lib/libQt5Widgets.so.5
#13 0x00007ffff5df34a3 in QCommonStyle::drawComplexControl(QStyle::ComplexControl, QStyleOptionComplex const*, QPainter*, QWidget const*) const () from /tmp/.mount_krita-APF8bu/usr/bin/../lib/libQt5Widgets.so.5
#14 0x00007ffff5e38b99 in QWindowsStyle::drawComplexControl(QStyle::ComplexControl, QStyleOptionComplex const*, QPainter*, QWidget const*) const () from /tmp/.mount_krita-APF8bu/usr/bin/../lib/libQt5Widgets.so.5
#15 0x00007ffff5ecc2bf in ?? () from /tmp/.mount_krita-APF8bu/usr/bin/../lib/libQt5Widgets.so.5
#16 0x00007ffff5daa3b8 in QWidget::event(QEvent*) () from /tmp/.mount_krita-APF8bu/usr/bin/../lib/libQt5Widgets.so.5
#17 0x00007ffff5ed2ffa in ?? () from /tmp/.mount_krita-APF8bu/usr/bin/../lib/libQt5Widgets.so.5
#18 0x00007ffff5d698dc in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /tmp/.mount_krita-APF8bu/usr/bin/../lib/libQt5Widgets.so.5
#19 0x00007ffff5d70f20 in QApplication::notify(QObject*, QEvent*) () from /tmp/.mount_krita-APF8bu/usr/bin/../lib/libQt5Widgets.so.5
#20 0x00007ffff7ae7d92 in KisApplication::notify(QObject*, QEvent*) () from /tmp/.mount_krita-APF8bu/usr/bin/../lib/libkritaui.so.17
#21 0x00007ffff528c4f8 in QCoreApplication::notifyInternal2(QObject*, QEvent*) () from /tmp/.mount_krita-APF8bu/usr/bin/../lib/libQt5Core.so.5
#22 0x00007ffff5da2fe5 in QWidgetPrivate::sendPaintEvent(QRegion const&) () from /tmp/.mount_krita-APF8bu/usr/bin/../lib/libQt5Widgets.so.5
#23 0x00007ffff5da36c5 in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /tmp/.mount_krita-APF8bu/usr/bin/../lib/libQt5Widgets.so.5
#24 0x00007ffff5da43ec in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /tmp/.mount_krita-APF8bu/usr/bin/../lib/libQt5Widgets.so.5                                                                                                                                                                                                                                  
#25 0x00007ffff5da3190 in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /tmp/.mount_krita-APF8bu/usr/bin/../lib/libQt5Widgets.so.5
#26 0x00007ffff5da43ec in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /tmp/.mount_krita-APF8bu/usr/bin/../lib/libQt5Widgets.so.5                                                                                                                                                                                                                                  
#27 0x00007ffff5da42d9 in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /tmp/.mount_krita-APF8bu/usr/bin/../lib/libQt5Widgets.so.5                                                                                                                                                                                                                                  
#28 0x00007ffff5da42d9 in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /tmp/.mount_krita-APF8bu/usr/bin/../lib/libQt5Widgets.so.5                                                                                                                                                                                                                                  
#29 0x00007ffff5da3190 in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /tmp/.mount_krita-APF8bu/usr/bin/../lib/libQt5Widgets.so.5
#30 0x00007ffff5d79bbb in ?? () from /tmp/.mount_krita-APF8bu/usr/bin/../lib/libQt5Widgets.so.5
#31 0x00007ffff5d79e48 in ?? () from /tmp/.mount_krita-APF8bu/usr/bin/../lib/libQt5Widgets.so.5
#32 0x00007ffff5d9219f in QWidgetPrivate::syncBackingStore() () from /tmp/.mount_krita-APF8bu/usr/bin/../lib/libQt5Widgets.so.5
#33 0x00007ffff5daa588 in QWidget::event(QEvent*) () from /tmp/.mount_krita-APF8bu/usr/bin/../lib/libQt5Widgets.so.5
#34 0x00007ffff5eb3899 in QMainWindow::event(QEvent*) () from /tmp/.mount_krita-APF8bu/usr/bin/../lib/libQt5Widgets.so.5
#35 0x00007ffff1de80fa in KMainWindow::event(QEvent*) () from /tmp/.mount_krita-APF8bu/usr/bin/../lib/libkritawidgetutils.so.17
#36 0x00007ffff1e24929 in KXmlGuiWindow::event(QEvent*) () from /tmp/.mount_krita-APF8bu/usr/bin/../lib/libkritawidgetutils.so.17
#37 0x00007ffff5d698dc in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /tmp/.mount_krita-APF8bu/usr/bin/../lib/libQt5Widgets.so.5
#38 0x00007ffff5d70f20 in QApplication::notify(QObject*, QEvent*) () from /tmp/.mount_krita-APF8bu/usr/bin/../lib/libQt5Widgets.so.5
#39 0x00007ffff7ae7d92 in KisApplication::notify(QObject*, QEvent*) () from /tmp/.mount_krita-APF8bu/usr/bin/../lib/libkritaui.so.17
#40 0x00007ffff528c4f8 in QCoreApplication::notifyInternal2(QObject*, QEvent*) () from /tmp/.mount_krita-APF8bu/usr/bin/../lib/libQt5Core.so.5
#41 0x00007ffff528f1aa in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () from /tmp/.mount_krita-APF8bu/usr/bin/../lib/libQt5Core.so.5
#42 0x00007ffff52e6233 in ?? () from /tmp/.mount_krita-APF8bu/usr/bin/../lib/libQt5Core.so.5
#43 0x00007fffee9848bb in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#44 0x00007fffee9d7f08 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#45 0x00007fffee982003 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#46 0x00007ffff52e581f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /tmp/.mount_krita-APF8bu/usr/bin/../lib/libQt5Core.so.5
#47 0x00007ffff528aa8a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /tmp/.mount_krita-APF8bu/usr/bin/../lib/libQt5Core.so.5
#48 0x00007ffff5293804 in QCoreApplication::exec() () from /tmp/.mount_krita-APF8bu/usr/bin/../lib/libQt5Core.so.5
#49 0x0000000000407750 in main ()
(gdb) 

pressing enter repeats it, if I write "continue" and enter it'll say this

(gdb) continue
Continuing.

Program terminated with signal SIGSEGV, Segmentation fault.
The program no longer exists.
(gdb)
Comment 3 wolthera 2022-01-31 17:51:02 UTC
Sorry, I was referring to the output prompt. This is excellent, thanks!

Ah, got what's causing it: It happens on a transparent layer, very likely because these don't have any data on them and thus the matrix is completely empty.

Point where it's crashing: https://invent.kde.org/graphics/krita/-/blob/master/plugins/filters/raindropsfilter/kis_raindrops_filter.cpp#L140

---------------------
Thread 50 "Thread (pooled)" received signal SIGSEGV, Segmentation fault.
[Switching to Thread 0x7fffc77fe700 (LWP 2983083)]
0x00007fffd160a6f6 in KisRainDropsFilter::processImpl (this=<optimized out>, device=..., applyRect=..., config=..., 
    progressUpdater=0x7fffa8004760)
    at /home/wolthera/krita/src/plugins/filters/raindropsfilter/kis_raindrops_filter.cpp:140
140                 if (BoolMatrix[y][x])
(gdb) thread apply all backtrace

Thread 50 (Thread 0x7fffc77fe700 (LWP 2983083)):
#0  0x00007fffd160a6f6 in KisRainDropsFilter::processImpl(KisSharedPtr<KisPaintDevice>, QRect const&, KisPinnedSharedPtr<KisFilterConfiguration>, KoUpdater*) const (this=<optimized out>, device=..., applyRect=..., config=..., progressUpdater=0x7fffa8004760) at /home/wolthera/krita/src/plugins/filters/raindropsfilter/kis_raindrops_filter.cpp:140
#1  0x00007ffff7a3014d in KisFilterStrokeStrategy::<lambda()>::<lambda()>::operator() (__closure=0x7fffa806f400) at /usr/include/c++/9/bits/atomic_base.h:318
#2  std::_Function_handler<void(), KisFilterStrokeStrategy::doStrokeCallback(KisStrokeJobData*)::<lambda()>::<lambda()> >::_M_invoke(const std::_Any_data &) (__functor=...) at /usr/include/c++/9/bits/std_function.h:300
#3  0x00007ffff7a36436 in KisFilterStrokeStrategy::doStrokeCallback(KisStrokeJobData*) (this=0x555562461b40, data=0x7fffa8007010) at /home/wolthera/krita/src/libs/ui/tool/strokes/kis_filter_stroke_strategy.cpp:306
#4  0x00007ffff6e00d7b in KisStrokeJob::run() (this=<optimized out>) at /home/wolthera/krita/build/libs/image/kritaimage_autogen/EWIEGA46WW/../../../../../src/libs/image/kis_stroke_job.h:32
#5  KisUpdateJobItem::run() (this=0x555563075a70) at /home/wolthera/krita/build/libs/image/kritaimage_autogen/EWIEGA46WW/../../../../../src/libs/image/kis_update_job_item.h:90
#6  0x00007ffff57d2862 in  () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#7  0x00007ffff57cf45c in  () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#8  0x00007ffff36ee609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#9  0x00007ffff5434293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95
Comment 4 Dmitry Kazakov 2022-02-23 13:58:36 UTC
Git commit 4d3830d10bba1e9825799a7e6521a082d517ef81 by Dmitry Kazakov.
Committed on 23/02/2022 at 13:58.
Pushed by dkazakov into branch 'master'.

Fix a crash in raindrops filter when the layer is totally empty

This seems to be a regression from the recent refactoring of
KisFilterStrokeStrategy

M  +12   -8    libs/ui/tool/strokes/kis_filter_stroke_strategy.cpp
M  +6    -0    plugins/filters/raindropsfilter/kis_raindrops_filter.cpp

https://invent.kde.org/graphics/krita/commit/4d3830d10bba1e9825799a7e6521a082d517ef81
Comment 5 Dmitry Kazakov 2022-02-23 14:01:28 UTC
Git commit cb223cd3f998012307403f41125ad9cefa17a54d by Dmitry Kazakov.
Committed on 23/02/2022 at 14:01.
Pushed by dkazakov into branch 'krita/5.0'.

Fix a crash in raindrops filter when the layer is totally empty

This seems to be a regression from the recent refactoring of
KisFilterStrokeStrategy

M  +12   -8    libs/ui/tool/strokes/kis_filter_stroke_strategy.cpp
M  +6    -0    plugins/filters/raindropsfilter/kis_raindrops_filter.cpp

https://invent.kde.org/graphics/krita/commit/cb223cd3f998012307403f41125ad9cefa17a54d